Module javafx.base
Package javafx.beans.property.adapter

# Class JavaBeanFloatProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.adapter.JavaBeanFloatProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `JavaBeanProperty<Number>`, `ReadOnlyJavaBeanProperty<Number>`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`

    public final class JavaBeanFloatProperty
    extends FloatProperty
    implements JavaBeanProperty<Number>

A `JavaBeanFloatProperty` provides an adapter between a regular Java Bean property of type `float` or `Float` and a JavaFX `FloatProperty`. It cannot be created directly, but a `JavaBeanFloatPropertyBuilder` has to be used.

As a minimum, the Java Bean class must implement a getter and a setter for the property. The class, as well as the getter and a setter methods, must be declared public. If the getter of an instance of this class is called, the property of the Java Bean is returned. If the setter is called, the value will be passed to the Java Bean property. If the Java Bean property is bound (i.e. it supports PropertyChangeListeners), this `JavaBeanFloatProperty` will be aware of changes in the Java Bean. Otherwise it can be notified about changes by calling `ReadOnlyJavaBeanProperty.fireValueChangedEvent()`. If the Java Bean property is also constrained (i.e. it supports VetoableChangeListeners), this `JavaBeanFloatProperty` will reject changes, if it is bound to an `ObservableValue<Float>`.

Deploying an Application as a Module

If the Java Bean class is in a named module, then it must be reflectively accessible to the `javafx.base` module. A class is reflectively accessible if the module `opens` the containing package to at least the `javafx.base` module.

For example, if `com.foo.MyBeanClass` is in the `foo.app` module, the `module-info.java` might look like this:

    module foo.app {
        opens com.foo to javafx.base;
    }

Alternatively, a class is reflectively accessible if the module `exports` the containing package unconditionally.

Since:
  JavaFX 2.1
See Also:
  `FloatProperty`, `JavaBeanFloatPropertyBuilder`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `float` | `get()` | Get the wrapped value.
  `void` | `set​(float value)` | Set the wrapped value.
  `String` | `toString()` | Returns a string representation of this `JavaBeanFloatProperty` object.

  ### Methods declared in class javafx.beans.property.FloatProperty

  `asObject, floatProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods declared in class javafx.beans.binding.FloatExpression

  `add, add, add, add, divide, divide, divide, divide, floatExpression, floatExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.adapter.ReadOnlyJavaBeanProperty

  `dispose, fireValueChangedEvent`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableFloatValue

  `setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Method Details

  - ### get

    public float get()
    Get the wrapped value. Unlike `WritableValue.getValue()`, this method returns primitive float. Needs to be identical to `WritableValue.getValue()`.
    Specified by:
      `get` in interface `ObservableFloatValue`
    Specified by:
      `get` in interface `WritableFloatValue`
    Returns:
      The current value
    Throws:
      `UndeclaredThrowableException` - if calling the getter of the Java Bean property throws an `IllegalAccessException` or an `InvocationTargetException`.

  - ### set

    public void set​(float value)
    Set the wrapped value. Unlike `WritableFloatValue.setValue(java.lang.Number)`, this method uses primitive float.
    Specified by:
      `set` in interface `WritableFloatValue`
    Parameters:
      `value` - The new value
    Throws:
      `UndeclaredThrowableException` - if calling the getter of the Java Bean property throws an `IllegalAccessException` or an `InvocationTargetException`.

  - ### toString

    public String toString()
    Returns a string representation of this `JavaBeanFloatProperty` object.
    Overrides:
      `toString` in class `FloatProperty`
    Returns:
      a string representation of this `JavaBeanFloatProperty` object.